package testrahmen;
// ----------------------------------------------------------------------------------------------------
//
// TestJF.java                                                                   Ulrich Mller 13.06.05
//                                                                               PCS1700      JBuilder5
// Testrahmen (Console) fr ftcomputing.robo.JavaFish
//       Lampen an O1, O2, O3, die nacheinander ein- und dann zusammen wieder ausgeschaltet werden.
//       Endlos-Schleife : Abbruch durch I1 == true oder ESC-Taste
//
// ----------------------------------------------------------------------------------------------------

import ftcomputing.robo.*;

public class TestJF {

  public TestJF() {
  }
  public static void main(String[] args) {
    TestJF testJF1 = new TestJF();
    System.out.println("--- FishROBO-Test gestartet (TestJF) ---");
    testJF1.Action();
    System.out.println("--- FishROBO-Test beendet ---");
  }
  public void Action() {
    JavaFish ft = new JavaFish();
    int iHandle;
    iHandle = ft.jrOpenInterfaceUSB(0, 0);
    System.out.println("Action : I1 druecken");
    while(ft.jrGetInput(iHandle,1)==0) Thread.yield();
    int Runde = 0;
    do {
      try {
        System.out.println("Runde : " + Runde++);
        ft.jrSetMotors(iHandle, 0x01);
        Thread.sleep(333);
        ft.jrSetMotors(iHandle, 0x03);
        Thread.sleep(333);
        ft.jrSetMotors(iHandle, 0x07);
        Thread.sleep(333);
        ft.jrSetMotors(iHandle, 0x08);
        Thread.sleep(666);
      } catch(InterruptedException e){}
    } while((ft.jrGetInput(iHandle, 1) == 0) && (JavaFish.escape() == 0));
    ft.jrSetMotors(iHandle, 0);
    ft.jrCloseInterface(iHandle);
  }
}